*DK PLOT                                                                           PLOT.1           
      SUBROUTINE PLOT(IFP,N,NJ)
      SAVE
C     ****                                                                         PLOT.4           
C     ****     PROCEDURE TO PLOT OUT MASS MIXING RATIOS                            PLOT.5           
C     ****                                                                         PLOT.6           
C     ****     ARRAY IFP CONTAINS INDICES OF FIELDS TO BE PLOTTED                  PLOT.7           
C     ****                                                                         PLOT.8           
C     ****     FOR EXAMPLE:                                                        PLOT.9           
C     ****              NPS    FOR    O2                                           PLOT.10          
C     ****              NPS2   FOR    O                                            PLOT.11          
C     ****              NPSA   FOR    AR                                           PLOT.12          
C     ****              NPSH   FOR    HE                                           PLOT.13          
C     ****              NPNO   FOR    NO                                           PLOT.14          
C     ****              NPN4S  FOR    N4S                                          PLOT.15          
C     ****              NPCH4  FOR    CH4                                          PLOT.16          
C     ****              NPH2   FOR    H2                                           PLOT.17          
C     ****              NPCO2  FOR    CO2                                          PLOT.18          
C     ****              NPCO   FOR    CO                                           PLOT.19          
C     ****              NPHOX  FOR    HOX                                          PLOT.20          
C     ****              NPH2O  FOR    H2O                                          PLOT.21          
C     ****                                                                         PLOT.22          
C     ****     N IS NUMBER OF INDICES PASSED (MAX IS 28)                           PLOT.23          
C     ****                                                                         PLOT.24          
C     ****     NJ IS BUFFER POINTER                                                PLOT.25          
C     ****                                                                         PLOT.26          
      include 'params.h'
      include 'asas2.h'
      include 'cons2.h'
      DIMENSION IFP(1),LABEL(28),LAB2(28)
      DATA LABEL/3H O2,3H  O,3H AR,3H HE,3H NO,3HN4S,3HCH4,3H H2,3HCO2,
     13H CO,3HHOX,3HH2O/
C     ****                                                                         PLOT.33          
C     ****     SHIFT REQUIRED LABELS TO ARRAY LAB2                                 PLOT.34          
C     ****                                                                         PLOT.35          
      DO 1 I=1,N
       LAB2(I)=LABEL(MOD(IFP(I)/KMAXP1-1,13))
    1 CONTINUE
C     ****                                                                         PLOT.39          
C     ****     PLOT FIELDS                                                         PLOT.40          
C     ****                                                                         PLOT.41          
      CALL GSCLIP(0)
      DO 2 I = 1,N
	CALL CONREC(F(3,NJ+IFP(I)),IMAXP4,IMAX+1,KMAXP1,0.,0.,0.,0,0,
     1    -1430B)
C       ****                                                                       PLOT.46          
C       ****     WRITE TITLE                                                       PLOT.47          
C       ****                                                                       PLOT.48          
	CALL GETSET(FXA,FXB,FYA,FYB,XC,XD,YC,YD,LTYPE)
	MXA = KFPX(FXA)
	MXB = KFPX(FXB)
	MYA = KFPY(FYA)
	MYB = KFPY(FYB)
	MX = (MXA+MXB)/2
	MY = MYB+48
	CALL PWRIT(CPUX(MX),CPUY(MY),LAB2(I),3,2,0,0)
	CALL FRAME
    2 CONTINUE
      CALL GSCLIP(1)
      RETURN
      END
